## xvidcore 1.1.2

=== build/generic/Makefile ===
##############################################################################
#
# - Unified Makefile for XviD for *nix environments -
#
# Copyright(C) 2003-2004 Edouard Gomez <ed.gomez@free.fr>
#
#
# Description:
#  This Makefile allows building XviD sources to obtain a shared library
#  and a static library. This Makefile uses variables defined in the
#  platform.inc file. This platform.inc file is usually created by the
#  ./configure script whenever a unix shell is available.
#
# Makefile functional dependencies:
#  - echo
#  - rm (with option -r and -f)
#  - cd
#  - make VPATH support (eg: GNU make, solaris 8 make)
#  - ar
#
# Building output:
#  - C means "_C_ompiling"
#  - A means "_A_ssembling"
#  - I means "_I_nstalling"
#  - D means "creating _D_irectory"
#  - Cl means "_Cl_eaning"
#
# NB: (for mingw32/djgpp users)
#   These 2 environments do not provide a shell by default. So it's impossible
#   to use the configure script to generate a platform.inc file suitable for
#   your machine. You have two choices:
#    - install minsys from the mingw project or install cygwin and then use
#      the configure script as on a unix system.
#    - write a platform.inc file by hand.
#
# PS: default build directory is "=build", it fits naming conventions that
#     make the arch/tla revision control program ignore files contained in
#     this directory during commits operations. This choice is completly
#     arbitrary, but try not to change it.
#
##############################################################################

include sources.inc
include platform.inc

RM = rm -rf

##############################################################################
#
# Build rules
#
##############################################################################

# Their Objects
OBJECTS  = $(GENERIC_OBJECTS)
OBJECTS += $(ASSEMBLY_OBJECTS)
OBJECTS += $(DCT_IA64_OBJECTS)
OBJECTS += $(PPC_ALTIVEC_OBJECTS)

# The VPATH mechanism could use a "per target" build directory
# To keep it simple at the moment, the directory is fixed to "build"
BUILD_DIR = =build
VPATH     = $(SRC_DIR):$(BUILD_DIR)

#-----------------------------------------------------------------------------
# The default rule
#-----------------------------------------------------------------------------

.SUFFIXES: .$(OBJECT_EXTENSION) .$(ASSEMBLY_EXTENSION) .c

all: $(STATIC_LIB) $(SHARED_LIB)
	@echo
	@echo "---------------------------------------------------------------"
	@echo " XviD has been successfully built."
	@echo
	@echo " * Binaries are currently located in the '$(BUILD_DIR)' directory"
	@echo " * To install them on your system, you can run '# make install'"
	@echo "   as root."
	@echo "---------------------------------------------------------------"
	@echo

$(OBJECTS): platform.inc

$(BUILD_DIR):
	@echo "  D: $(BUILD_DIR)"
	@$(INSTALL) -d $(BUILD_DIR)

#-----------------------------------------------------------------------------
# Generic assembly rule
#-----------------------------------------------------------------------------

.$(ASSEMBLY_EXTENSION).$(OBJECT_EXTENSION):
	@echo "  A: $(@D)/$(<F)"
	@$(INSTALL) -d $(BUILD_DIR)/$(@D)
	@$(AS) $(AFLAGS) $< -o $(BUILD_DIR)/$@

#-----------------------------------------------------------------------------
# Generic C rule
#-----------------------------------------------------------------------------

.c.$(OBJECT_EXTENSION):
	@echo "  C: $(@D)/$(<F)"
	@$(INSTALL) -d $(BUILD_DIR)/$(@D)
	@$(CC) -c $(ARCHITECTURE) $(BUS) $(ENDIANNESS) $(FEATURES) $(SPECIFIC_CFLAGS) $(CFLAGS) $< -o $(BUILD_DIR)/$@

#-----------------------------------------------------------------------------
# Static Library
#-----------------------------------------------------------------------------

$(STATIC_LIB): $(BUILD_DIR) $(OBJECTS)
	@echo "  L: $(@F)"
	@cd $(BUILD_DIR) && ar rc $(@F) $(OBJECTS) && $(RANLIB) $(@F)

#-----------------------------------------------------------------------------
# Shared Library
#
# NB: This rule is used a nasty way by the MacOSX module build process
#     In this only case, it uses the SPECIFIC_LDFLAGS to append an additionnal
#     linking step:
#      1/ it links a pre shared lib (libxvidcore.so-temp.4)
#      2/ it links that pre shared lib outputing the real shared lib (module)
#     In all other cases this rule is straight forward and simple.
#     PRE_SHARED_LIB == SHARED_LIB and no nasty command appending.
#
# NB': we copy the def file for the win32 target, the file is unused on other
#      platforms
#-----------------------------------------------------------------------------

$(SHARED_LIB): $(BUILD_DIR) $(OBJECTS)
	@echo "  L: $(@F)"
	@$(INSTALL) -m 644 libxvidcore.def $(BUILD_DIR)/libxvidcore.def
	@$(INSTALL) -m 644 libxvidcore.ld $(BUILD_DIR)/libxvidcore.ld
	@cd $(BUILD_DIR) && $(CC) $(LDFLAGS) $(OBJECTS) -o $(PRE_SHARED_LIB) $(SPECIFIC_LDFLAGS)

#-----------------------------------------------------------------------------
# Installation
#-----------------------------------------------------------------------------

install: $(BUILD_DIR)/$(STATIC_LIB) $(BUILD_DIR)/$(SHARED_LIB)
	@echo "  D: $(libdir)"
	@$(INSTALL) -d $(DESTDIR)$(libdir)
	@echo "  I: $(libdir)/$(SHARED_LIB)"
	@$(INSTALL) -m 644 $(BUILD_DIR)/$(SHARED_LIB) $(DESTDIR)$(libdir)/$(SHARED_LIB)
	@echo "  I: $(libdir)/$(STATIC_LIB)"
	@$(INSTALL) -m 644 $(BUILD_DIR)/$(STATIC_LIB) $(DESTDIR)$(libdir)/$(STATIC_LIB)
	@echo "  D: $(includedir)"
	@$(INSTALL) -d $(DESTDIR)$(includedir)
	@echo "  I: $(includedir)/xvid.h"
	@$(INSTALL) -m 644 $(SRC_DIR)/xvid.h $(DESTDIR)$(includedir)/xvid.h

#-----------------------------------------------------------------------------
# Platorm specific file -- dumb rules for people executing make before
# ./configure or even ./bootstrap.sh
#-----------------------------------------------------------------------------

platform.inc: configure platform.inc.in
	./configure

configure:
	./bootstrap.sh

#-----------------------------------------------------------------------------
# .PHONY targets
#-----------------------------------------------------------------------------

.PHONY: mrproper distclean clean info \
	list-objects list-targets list-install-path list-cflags

clean:
	@echo "  Cl: Build directory"
	@$(RM) $(BUILD_DIR)

distclean: clean
	@echo "  Cl: Generated build files"
	@$(RM) platform.inc
	@$(RM) config.log
	@$(RM) config.status
	@$(RM) autom4te.cache

mrproper: distclean
	@echo "  Cl: Bootstrapped build files"
	@$(RM) configure
	@$(RM) install-sh
	@$(RM) missing
	@$(RM) config.guess
	@$(RM) mkinstalldirs
	@$(RM) config.sub

list-objects:
	@echo
	@echo "---------------------------------------------------------------"
	@echo "Object files used for this build"
	@echo "---------------------------------------------------------------"
	@echo
	@echo $(OBJECTS)
	@echo

list-targets:
	@echo
	@echo "---------------------------------------------------------------"
	@echo "Target Libraries"
	@echo "---------------------------------------------------------------"
	@echo
	@echo Shared library: $(SHARED_LIB)
	@echo Static library: $(STATIC_LIB)
	@echo

list-install-path:
	@echo
	@echo "---------------------------------------------------------------"
	@echo "Install Paths"
	@echo "---------------------------------------------------------------"
	@echo
	@echo Include Directory: $(includedir)
	@echo Library Directory: $(libdir)
	@echo

list-cflags:
	@echo
	@echo "---------------------------------------------------------------"
	@echo "Using CFLAGS"
	@echo "---------------------------------------------------------------"
	@echo
	@echo CFLAGS=$(CFLAGS)
	@echo

info: list-objects list-cflags list-targets list-install-path

=== vfw/bin/Makefile ===
##############################################################################
#
# Makefile for XviD VFW driver
#
# Author : Milan Cutka <cutka at szm.sk>
# Modified by : Edouard Gomez <ed.gomez at free.fr>
#               Peter Ross <pross@xvid.org>
#
# Requires GNU Make because of shell expansion performed at a bad time with
# other make programs (even using := variable assignments)
#
# $Id: Makefile,v 1.4 2005/04/04 23:49:37 edgomez Exp $
##############################################################################

include sources.inc

MAKEFILE_PWD:=$(shell pwd)
LOCAL_XVID_SRCTREE:=$(MAKEFILE_PWD)/../../src
LOCAL_XVID_BUILDTREE:=$(MAKEFILE_PWD)/../../build/generic/=build

RM = rm -rf
WINDRES=windres

# Constants which should not be modified
# The `mingw-runtime` package is required when building with -mno-cygwin
CFLAGS += -I$(SRC_DIR)/w32api -I$(LOCAL_XVID_SRCTREE)
CFLAGS += -D_WIN32_IE=0x0500
CFLAGS += -mno-cygwin

##############################################################################
# Optional Compiler options
##############################################################################

CFLAGS += -Wall
CFLAGS += -O2
CFLAGS += -fstrength-reduce
CFLAGS += -finline-functions
CFLAGS += -fgcse
CFLAGS += -freduce-all-givs
CFLAGS += -ffast-math

##############################################################################
# Compiler flags for linking stage
##############################################################################

# LDFLAGS +=

##############################################################################
# Rules
##############################################################################

OBJECTS = $(SRC_C:.c=.obj)
OBJECTS+= $(SRC_RES:.rc=.obj)

.SUFFIXES: .obj .rc .c

BUILD_DIR = =build
VPATH     = $(SRC_DIR):$(BUILD_DIR)

all: $(LIBSO)

$(BUILD_DIR):
	@echo "  D: $(BUILD_DIR)"
	@mkdir -p $(BUILD_DIR)

.rc.obj:
	@echo "  W: $(@D)/$(<F)"
	@mkdir -p $(BUILD_DIR)/$(@D)
	@$(WINDRES) \
		--include-dir=$(SRC_DIR) \
		--input-format=rc \
		--output-format=coff \
		-o $(BUILD_DIR)/$@ $<

.c.obj:
	@echo "  C: $(@D)/$(<F)"
	@mkdir -p $(BUILD_DIR)/$(@D)
	@$(CC) $(CFLAGS) -c -o $(BUILD_DIR)/$@ $<

$(LIBSO): $(BUILD_DIR) $(OBJECTS)
	@echo "  L: $(@F)"
	@cp $(SRC_DIR)/driverproc.def $(BUILD_DIR)/driverproc.def
	@cd $(BUILD_DIR) && \
		$(CC) $(LDFLAGS) \
			-mno-cygwin -shared -Wl,-dll,--out-implib,$@.a,--enable-stdcall-fixup \
			-o $@ \
			$(OBJECTS) driverproc.def \
			-lgdi32 -lwinmm -lcomdlg32 -lcomctl32

clean:
	@echo "  Cl: Object files and target lib"
	@$(RM) $(BUILD_DIR)

install:
	@echo "  I: xvid.dll"
	@cp $(BUILD_DIR)/$(LIBSO) $(LIBSO)
	@rundll32.exe setupapi,InstallHinfSection DefaultInstall 132 ./xvid.inf
	@rm $(LIBSO)

uninstall:
	@rundll32.exe setupapi,InstallHinfSection Remove_XviD 132 ./xvid.inf

## xvidcore 1.3.2

=== dshow/Makefile ===
##############################################################################
#
# Makefile for XviD DirectShow driver
#
# Adapted from XviD VFW driver makefile.
# Modified by : Peter Ross <pross@xvid.org>
#
# Requires GNU Make because of shell expansion performed at a bad time with
# other make programs (even using := variable assignments)
#
# $Id: Makefile,v 1.7 2008-11-27 11:57:51 Isibaar Exp $
##############################################################################

include sources.inc

##############################################################################
# DXTREE must point to the directx sdk root directory.
#
# if a release prior to "directx v9.0 sdk update (summer 2003)" is installed,
# uncomment the DXBASECLASSES=$(DXTREE)/Samples/MultiMedia/DirectShow/BaseClasses
##############################################################################
DXTREE=/c/DX90SDK
# DXTREE=/c/DXVCSDK
DXBASECLASSES=$(DXTREE)/Samples/C++/DirectShow/BaseClasses
# DXBASECLASSES=$(DXTREE)/Samples/MultiMedia/DirectShow/BaseClasses

MAKEFILE_PWD:=$(shell pwd)
LOCAL_XVID_SRCTREE:=$(MAKEFILE_PWD)/../src
LOCAL_XVID_BUILDTREE:=$(MAKEFILE_PWD)/../build/generic/=build

RM = rm -rf
WINDRES=windres

# Constants which should not be modified
# The `mingw-runtime` package is required when building with -mno-cygwin
CFLAGS += -mthreads
CFLAGS += -I$(SRC_DIR)/w32api -I$(LOCAL_XVID_SRCTREE)
CFLAGS += -mno-cygwin

CXXFLAGS +=-mthreads
CXXFLAGS += -DRELEASE \
        -I$(LOCAL_XVID_SRCTREE) \
        -I$(DXTREE)/Include \
        -I$(DXBASECLASSES) \
        -include $(DXTREE)/mingw_dshow_port.h
CXXFLAGS += -mno-cygwin

##############################################################################
# Optional Compiler options
##############################################################################

CFLAGS += -Wall
CFLAGS += -O2
CFLAGS += -fstrength-reduce
CFLAGS += -finline-functions
CFLAGS += -fgcse
CFLAGS += -ffast-math

CXXFLAGS += -O2

##############################################################################
# Compiler flags for linking stage
##############################################################################

#LDFLAGS +=

##############################################################################
# Rules
##############################################################################

OBJECTS = $(SRC_C:.c=.obj)
OBJECTS+= $(SRC_CPP:.cpp=.obj)
OBJECTS+= $(SRC_RES:.rc=.obj)

.SUFFIXES: .obj .rc .c

BUILD_DIR = =build
VPATH     = $(SRC_DIR):$(BUILD_DIR)

all: $(LIBSO)

$(BUILD_DIR):
	@echo "  D: $(BUILD_DIR)"
	@mkdir -p $(BUILD_DIR)

.rc.obj:
	@echo "  W: $(@D)/$(<F)"
	@mkdir -p $(BUILD_DIR)/$(@D)
	@$(WINDRES) \
		--include-dir=$(SRC_DIR) \
		--input-format=rc \
		--output-format=coff \
		-o $(BUILD_DIR)/$@ $<

.c.obj:
	@echo "  C: $(@D)/$(<F)"
	@mkdir -p $(BUILD_DIR)/$(@D)
	@$(CC) $(CFLAGS) -c -o $(BUILD_DIR)/$@ $<

.cpp.obj:
	@echo "  C: $(@D)/$(<F)"
	@mkdir -p $(BUILD_DIR)/$(@D)
	@$(CXX) $(CXXFLAGS) -c -o $(BUILD_DIR)/$@ $<

$(LIBSO): $(BUILD_DIR) $(OBJECTS)
	@echo "  L: $(@F)"
	@cp $(SRC_DIR)/xvid.ax.def $(BUILD_DIR)/xvid.ax.def
	@cd $(BUILD_DIR) && \
		$(CC) $(LDFLAGS) \
			-mno-cygwin -shared -Wl,-dll,--out-implib,$@.a,--enable-stdcall-fixup \
			-o $@ \
			$(OBJECTS) xvid.ax.def \
			-L$(DXTREE)/Lib -lstrmiids \
			$(DXBASECLASSES)/strmbase.lib \
			-luuid -lwinmm -lole32 -loleaut32 -lcomctl32 -lstdc++

clean:
	@echo "  Cl: Object files and target lib"
	@$(RM) $(BUILD_DIR)

install:

uninstall:

=== examples/Makefile ===
#############################################################################
#
# XviD examples Makefile
#
# $Id: Makefile,v 1.10 2006-10-11 13:52:06 Skal Exp $
#
#############################################################################

include ../build/generic/platform.inc

HDIR    = -I../src
CFLAGS  = -g $(ARCHITECTURE) $(BUS) $(ENDIANNESS) $(FEATURES) $(SPECIFIC_CFLAGS)
LDFLAGS = -lc -lm ../build/generic/=build/$(STATIC_LIB) -lpthread

SOURCES= xvid_encraw.c xvid_decraw.c xvid_bench.c
OBJECTS=$(SOURCES:.c=.o)
TESTS=$(SOURCES:.c=)

all: $(TESTS)

xvid_encraw: xvid_encraw.o
	$(CC) -o $@ $< $(LDFLAGS)

xvid_encraw.o: xvid_encraw.c
	$(CC) $(CFLAGS) $(HDIR) -c $<

xvid_decraw: xvid_decraw.o
	$(CC) -o $@ $< $(LDFLAGS)

xvid_decraw.o: xvid_decraw.c
	$(CC) $(CFLAGS) $(HDIR) -c $<

xvid_bench: xvid_bench.o
	$(CC) -o $@ $< $(LDFLAGS)

xvid_bench.o: xvid_bench.c
	$(CC) $(CFLAGS) $(HDIR) -c $<

clean:
	rm -f $(OBJECTS) $(TESTS)

=== build/generic/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 ##############################################################################
 #
-# - Unified Makefile for XviD for *nix environments -
+# - Unified Makefile for Xvid for *nix environments -
 #
 # Copyright(C) 2003-2004 Edouard Gomez <ed.gomez@free.fr>
 #
 #
 # Description:
-#  This Makefile allows building XviD sources to obtain a shared library
+#  This Makefile allows building Xvid sources to obtain a shared library
 #  and a static library. This Makefile uses variables defined in the
 #  platform.inc file. This platform.inc file is usually created by the
 #  ./configure script whenever a unix shell is available.
@@ -41,7 +41,9 @@
 ##############################################################################
 
 include sources.inc
+ifeq ($(findstring $(MAKECMDGOALS), clean distclean mrproper),)
 include platform.inc
+endif
 
 RM = rm -rf
 
@@ -68,10 +70,10 @@
 
 .SUFFIXES: .$(OBJECT_EXTENSION) .$(ASSEMBLY_EXTENSION) .c
 
-all: $(STATIC_LIB) $(SHARED_LIB)
-	@echo
-	@echo "---------------------------------------------------------------"
-	@echo " XviD has been successfully built."
+all: info $(STATIC_LIB) $(SHARED_LIB)
+	@echo
+	@echo "---------------------------------------------------------------"
+	@echo " Xvid has been successfully built."
 	@echo
 	@echo " * Binaries are currently located in the '$(BUILD_DIR)' directory"
 	@echo " * To install them on your system, you can run '# make install'"
@@ -98,6 +100,8 @@
 # Generic C rule
 #-----------------------------------------------------------------------------
 
+$(PPC_ALTIVEC_OBJECTS): CFLAGS+= $(ALTIVEC_CFLAGS)
+
 .c.$(OBJECT_EXTENSION):
 	@echo "  C: $(@D)/$(<F)"
 	@$(INSTALL) -d $(BUILD_DIR)/$(@D)
@@ -109,7 +113,7 @@
 
 $(STATIC_LIB): $(BUILD_DIR) $(OBJECTS)
 	@echo "  L: $(@F)"
-	@cd $(BUILD_DIR) && ar rc $(@F) $(OBJECTS) && $(RANLIB) $(@F)
+	@cd $(BUILD_DIR) && $(AR) rc $(@F) $(OBJECTS) && $(RANLIB) $(@F)
 
 #-----------------------------------------------------------------------------
 # Shared Library

=== debian/changelog ===
xvidcore (2:1.3.2-9ubuntu1) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Oct 2013 17:01:13 +0100

xvidcore (2:1.3.2-9) unstable; urgency=low

  * Pass hardened CPPFLAGS to CFLAGS. (Closes: #664512)

 -- Andres Mejia <amejia@debian.org>  Sun, 18 Mar 2012 10:15:39 -0400

xvidcore (2:1.3.2-8) unstable; urgency=low

  * Add in hardened CFLAGS.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Mar 2012 13:49:24 -0400

xvidcore (2:1.3.2-7) unstable; urgency=low

  * Allow dev package to be multiarch installable.
  * Bump to Standards-Version 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 18:33:18 -0400

xvidcore (2:1.3.2-6) unstable; urgency=low

  * Convert package to support multiarch library.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Sep 2011 12:36:05 -0400

xvidcore (2:1.3.2-5) unstable; urgency=low

  * Introduce a debian/confflags file to conditionally disable
    assembly optimizations on certain archs until we introduce flavours.
  * Disable yasm support for kfreebsd-amd64 again, it is known
    to be broken and also disabled in FreeBSD (Closes: #635719).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 29 Jul 2011 10:07:49 +0200

xvidcore (2:1.3.2-4) unstable; urgency=low

  * Add patch by Pino Toscano to add support for GNU Hurd as target OS,
    requires running autoconf (Closes: #635662).
  * Extend Build-Depends on yasm to [any-i386 any-amd64].

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 28 Jul 2011 09:46:20 +0200

xvidcore (2:1.3.2-3) unstable; urgency=low

  * Fix typo to location of LGPL-2 on Debian systems.

 -- Andres Mejia <amejia@debian.org>  Tue, 26 Jul 2011 06:50:31 -0400

xvidcore (2:1.3.2-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Build-Depend on yasm. A recent enough version is in Debian now and
    the configure script prefers it over nasm.
  
  [ Reinhard Tartler ]
  * document copyright and license of altivec assembler

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Jul 2011 11:02:05 +0200

xvidcore (2:1.3.2-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Imported Upstream version 1.3.2 (Closes: #531040)
    + dropped the debian/ directory from release tarballs.
    + updated the configure helper scripts.
    + Makefile does not include platform.inc in clean rules anymore.
    + Makefile now shows build infos in the default build rule.

  [ Andres Mejia ]
  * Update to my @debian.org email.
  * Update debian/copyright to reflect licensing of new upstream release.
  * Update debian/copyright to DEP-5 spec.

 -- Andres Mejia <amejia@debian.org>  Mon, 25 Jul 2011 21:07:23 -0400

xvidcore (2:1.3.1-1) UNRELEASED; urgency=low

  [ Fabian Greffrath ]
  * Imported Upstream version 1.3.1
  * Remove configure.in-fix.patch and no-exec-stack-elf32.patch,
    applied upstream.
  * Upstream updated their configure script, so drop autoconf.
  * Update debian/gbp.conf and document filtering in git-import-orig.
  * Fix so-symlink in debian/libxvidcore-dev.links.
  * Simplify the changes to show build options during build.

  [ Andres Mejia ]
  * Show build options during build.
  * Simplify setting of CFLAGS.
  * Bump to Standards-Version 3.9.2.
  * Fix description-synopsis-starts-with-article lintian warnings.
  * Support parallel builds.
  * Enable -O3 instead of -O2.
  * Include Vcs-* entries.
  * Add DM-Upload-Allowed: yes.
  * Include local options to unapply all patches and abort on any upstream
    changes.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 03 May 2011 18:56:05 -0400

xvidcore (2:1.3.0-1) UNRELEASED; urgency=low

  * Imported Upstream version 1.3.0
  * Use 3.0 (quilt) source format.
  * Refresh build system patches.
  * yasm (> 1.0) is required but not in Debian yet,
    build-depend on nasm (>= 2.0)
  * Avoid running configure in the clean rule.
  * Remove unused lintian overrides.
  * Fix ldconfig-symlink-referencing-wrong-file.
  * Update libxvidcore4.symbols file.
  * Drop build-system-update.patch, use autotools-dev and autoconf
    at build-time instead.
  * Backup and restore build/generic/configure instead of removing it.
  * Really disable the executable bit for GNU-stack for elf32 archs.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 25 Feb 2011 11:49:07 +0100

xvidcore (2:1.2.2+debian-3) UNRELEASED; urgency=low

  [ Fabian Greffrath ]
  * Update my e-mail address.
  * Make use of dh --sourcedirectory, instead of overriding all of
    dh_auto_*.
  * Remove ltmain.sh from debian/patches/build-system-update.patch,
    xvidcore does not even use libtool.
  * Update debian/patches/build-system-update.patch with a recent
    autoconf and autotools-dev.

  [ Andres Mejia ]
  * Fix issue where autoconf outputs badly formatted configure script.
  * Update build-system-update.patch description with instructions on
    how to update build system.
  * Update Standards-Version to 3.9.1. No changes needed.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 11 Sep 2010 15:38:00 -0400

xvidcore (2:1.2.2+debian-2) unstable; urgency=low

  [ Maia Kozheva ]
  * Merged README.Source and README.source.

  [ Reinhard Tartler ]
  * Upload to Debian, Closes: #531040

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Jul 2010 21:52:24 -0400

xvidcore (2:1.2.2+debian-1ubuntu2) maverick; urgency=low

  * Really merge README.Source and README.source now.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 05 Jun 2010 18:02:44 +0700

xvidcore (2:1.2.2+debian-1ubuntu1) maverick; urgency=low

  * Merged from debian-unofficial release 2:1.2.2+debian-1, remaining
    Ubuntu changes:
    - Merged README.Source and README.source.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 05 Jun 2010 17:47:10 +0700

xvidcore (2:1.2.2+debian-1) unstable; urgency=low

  * Prepare release for Debian.
  * Set appropriate debian-branch default for master branch.
  * Fix Maintainer field and set myself as an uploader.


=== debian/control ===
Source: xvidcore
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Loïc Martin <loic.martin3@gmail.com>,
           Reinhard Tartler <siretart@tauware.de>,
           Fabian Greffrath <fabian+debian@greffrath.com>,
           Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               yasm (>= 1.0) [any-i386 amd64],
               autoconf, autotools-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://www.xvid.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xvidcore.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xvidcore.git

Package: libxvidcore4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Open source MPEG-4 video codec (library)
 Xvid (formerly XviD) is an open source MPEG-4 video codec, implementing MPEG-4
 Simple Profile, Advanced Simple Profile, and Advanced Video Coding standards.
 It is written in C with assembler optimizations for quality and speed
 (including MMX, SSE, and 3Dnow! code for i386 and AltiVec for PowerPC), and is
 especially optimized towards offline, multi-pass compression for storage and
 archival purposes.
 .
 This package contains the shared library.

Package: libxvidcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libxvidcore4 (= ${binary:Version}),
         ${misc:Depends}
Description: Open source MPEG-4 video codec (development)
 Xvid (formerly XviD) is an open source MPEG-4 video codec, implementing MPEG-4
 Simple Profile, Advanced Simple Profile, and Advanced Video Coding standards.
 It is written in C with assembler optimizations for quality and speed
 (including MMX, SSE, and 3Dnow! code for i386 and AltiVec for PowerPC), and is
 especially optimized towards offline, multi-pass compression for storage and
 archival purposes.
  .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

include debian/confflags

%:
	dh $@ --sourcedirectory=build/generic \
		--parallel --with autotools_dev

override_dh_auto_configure:
	cd build/generic && autoconf
	dh_auto_configure -- $(confflags)

=== debian/watch ===
version=3
http://www.xvid.org/downloads.html \
http://downloads.xvid.org/downloads/xvidcore-([\d\.]*)\.tar\.gz

## xvidcore 1.3.3

=== debian/changelog ===
xvidcore (2:1.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Use the autotools-dev dh addon to update config.guess/config.sub for arm64.
    Thanks to Colin Watson for the report and patch. (Closes: #726428)

  [ Fabian Greffrath ]
  * Imported Upstream version 1.3.3
  * Remove all patches, applied upstream.
  * Remove Andres Mejia from Uploaders list (Closes: #743557).

  [ IOhannes m zmölnig ]
  * Bumped standards version to 3.9.5
  * Removed deprecated "DM-Upload-Allowed"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Apr 2014 13:11:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: xvidcore
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Loïc Martin <loic.martin3@gmail.com>,
            Reinhard Tartler <siretart@tauware.de>,
-           Fabian Greffrath <fabian+debian@greffrath.com>,
-           Andres Mejia <amejia@debian.org>
+           Fabian Greffrath <fabian+debian@greffrath.com>
 Build-Depends: debhelper (>= 8.1.3~),
                yasm (>= 1.0) [any-i386 amd64],
-               autoconf, autotools-dev
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+               autoconf,
+               autotools-dev
+Standards-Version: 3.9.5
 Homepage: http://www.xvid.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xvidcore.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xvidcore.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 %:
 	dh $@ --sourcedirectory=build/generic \
-		--parallel --with autotools_dev
+		--with autotools_dev \
+		--parallel
 
 override_dh_auto_configure:
 	cd build/generic && autoconf

## xvidcore 1.3.4

=== examples/Makefile ===
--- 
+++ 
@@ -8,9 +8,16 @@
 
 include ../build/generic/platform.inc
 
+# is make running into windows?
+ifdef SYSTEMROOT
+  EXTRALIBS = -lole32 -lavifil32 -lpthread -lm
+else
+  EXTRALIBS = -lpthread -lc -lm
+endif
+
 HDIR    = -I../src
 CFLAGS  = -g $(ARCHITECTURE) $(BUS) $(ENDIANNESS) $(FEATURES) $(SPECIFIC_CFLAGS)
-LDFLAGS = -lc -lm ../build/generic/=build/$(STATIC_LIB) -lpthread
+LDFLAGS = ../build/generic/=build/$(STATIC_LIB) $(EXTRALIBS)
 
 SOURCES= xvid_encraw.c xvid_decraw.c xvid_bench.c
 OBJECTS=$(SOURCES:.c=.o)

=== debian/changelog ===
xvidcore (2:1.3.4-1) unstable; urgency=medium

  * Imported Upstream version 1.3.4
  * Update source download location in debian/copyright and debian/watch.
  * Bump Build-Depends to debhelper (>= 9).
  * Bump Standards-Version to 3.9.6.
  * Refrain from mangling CFLAGS in debian/confflags, move the remainder
    of this file into debian/rules.
  * Remove debian/source/local-options, they are default now.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 29 Jun 2015 09:47:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Loïc Martin <loic.martin3@gmail.com>,
            Reinhard Tartler <siretart@tauware.de>,
-           Fabian Greffrath <fabian+debian@greffrath.com>
-Build-Depends: debhelper (>= 8.1.3~),
+           Fabian Greffrath <fabian@debian.org>
+Build-Depends: debhelper (>= 9),
                yasm (>= 1.0) [any-i386 amd64],
                autoconf,
                autotools-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.xvid.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xvidcore.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xvidcore.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,20 @@
 #!/usr/bin/make -f
 
-include debian/confflags
+export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)
+
+export DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+export DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+# Explicitely disable Altivec support on powerpc until we introduce flavours
+ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
+	confflags += --disable-assembly
+endif
+
+# Explicitely disable yasm support on kfreebsd, it's broken on 64bit;
+# see: http://www.freebsd.org/cgi/cvsweb.cgi/ports/multimedia/xvid/Makefile?rev=1.36
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+	confflags += --disable-assembly
+endif
 
 %:
 	dh $@ --sourcedirectory=build/generic \

=== debian/watch ===
version=3
https://labs.xvid.com/source/ \
http://downloads.xvid.org/downloads/xvidcore-([\d\.]*)\.tar\.gz

## xvidcore 1.3.5

=== debian/changelog ===
xvidcore (2:1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5
  * Fix and update debian/watch file.
  * Update Vcs-* to point to salsa.debian.org.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.3.
  * Enable all hardening flags.
  * Remove trailing whitespace from debian/changelog.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 28 Jan 2018 21:45:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 Uploaders: Loïc Martin <loic.martin3@gmail.com>,
            Reinhard Tartler <siretart@tauware.de>,
            Fabian Greffrath <fabian@debian.org>
-Build-Depends: debhelper (>= 9),
-               yasm (>= 1.0) [any-i386 amd64],
-               autoconf,
-               autotools-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11~),
+               yasm (>= 1.0) [any-i386 amd64]
+Standards-Version: 4.1.3
 Homepage: http://www.xvid.org/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xvidcore.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xvidcore.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/xvidcore.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/xvidcore
 
 Package: libxvidcore4
 Architecture: any

## xvidcore 1.3.6

=== debian/changelog ===
xvidcore (2:1.3.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Fabian Greffrath ]
  * New upstream version 1.3.6
  * Remove patches, applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 19 Dec 2019 21:08:30 +0100

xvidcore (2:1.3.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Fabian Greffrath ]
  * Define a standard ELF .text section in ASM code,
    instead of .rotext (Closes: #941559).
  * Bump Standards-Version to 4.4.0.
  * Bump debhelper-compat to 12.
  * Add Rules-Requires-Root: no.
  * Add Build-Depends-Package line to symbols file.
  * Fix invalid control statement in debian/control.
  * Install examples in ibxvidcore-dev package.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 03 Oct 2019 21:38:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: xvidcore
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Loïc Martin <loic.martin3@gmail.com>,
            Reinhard Tartler <siretart@tauware.de>,
            Fabian Greffrath <fabian@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                yasm (>= 1.0) [any-i386 amd64]
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: http://www.xvid.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/xvidcore.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xvidcore
+Rules-Requires-Root: no
 
 Package: libxvidcore4
 Architecture: any
@@ -41,5 +42,5 @@
  (including MMX, SSE, and 3Dnow! code for i386 and AltiVec for PowerPC), and is
  especially optimized towards offline, multi-pass compression for storage and
  archival purposes.
-  .
+ .
  This package contains the development files.

## xvidcore 1.3.7

=== build/generic/Makefile ===
--- 
+++ 
@@ -141,16 +141,29 @@
 #-----------------------------------------------------------------------------
 
 install: $(BUILD_DIR)/$(STATIC_LIB) $(BUILD_DIR)/$(SHARED_LIB)
-	@echo "  D: $(libdir)"
-	@$(INSTALL) -d $(DESTDIR)$(libdir)
-	@echo "  I: $(libdir)/$(SHARED_LIB)"
-	@$(INSTALL) -m 644 $(BUILD_DIR)/$(SHARED_LIB) $(DESTDIR)$(libdir)/$(SHARED_LIB)
-	@echo "  I: $(libdir)/$(STATIC_LIB)"
-	@$(INSTALL) -m 644 $(BUILD_DIR)/$(STATIC_LIB) $(DESTDIR)$(libdir)/$(STATIC_LIB)
 	@echo "  D: $(includedir)"
 	@$(INSTALL) -d $(DESTDIR)$(includedir)
 	@echo "  I: $(includedir)/xvid.h"
 	@$(INSTALL) -m 644 $(SRC_DIR)/xvid.h $(DESTDIR)$(includedir)/xvid.h
+	@echo "  D: $(libdir)"
+	@$(INSTALL) -d $(DESTDIR)$(libdir)
+	@echo "  I: $(libdir)/$(STATIC_LIB)"
+	@$(INSTALL) -m 644 $(BUILD_DIR)/$(STATIC_LIB) $(DESTDIR)$(libdir)/$(STATIC_LIB)
+ifeq ($(SHARED_EXTENSION),dll)
+	@echo "  I: $(libdir)/$(SHARED_LIB).a"
+	@$(INSTALL) -m 644 $(BUILD_DIR)/$(SHARED_LIB).a $(DESTDIR)$(libdir)/$(SHARED_LIB).a
+	@echo "  D: $(bindir)"
+	@$(INSTALL) -d $(DESTDIR)$(bindir)
+	@echo "  I: $(bindir)/$(SHARED_LIB)"
+	@$(INSTALL) -m 755 $(BUILD_DIR)/$(SHARED_LIB) $(DESTDIR)$(bindir)/$(SHARED_LIB)
+else
+	@echo "  I: $(libdir)/$(SHARED_LIB)"
+	@$(INSTALL) -m 644 $(BUILD_DIR)/$(SHARED_LIB) $(DESTDIR)$(libdir)/$(SHARED_LIB)
+	@test -z "$(SO_API_MAJOR_LINK)" || \
+		$(LN_S) $(SHARED_LIB) $(DESTDIR)$(libdir)/$(SO_API_MAJOR_LINK)
+	@test -z "$(SO_LINK)" || \
+		$(LN_S) $(SHARED_LIB) $(DESTDIR)$(libdir)/$(SO_LINK)
+endif
 
 #-----------------------------------------------------------------------------
 # Platorm specific file -- dumb rules for people executing make before

=== vfw/bin/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Requires GNU Make because of shell expansion performed at a bad time with
 # other make programs (even using := variable assignments)
 #
-# $Id: Makefile,v 1.4 2005/04/04 23:49:37 edgomez Exp $
+# $Id: Makefile,v 1.7 2008-12-15 10:22:07 Isibaar Exp $
 ##############################################################################
 
 include sources.inc
@@ -24,8 +24,8 @@
 # Constants which should not be modified
 # The `mingw-runtime` package is required when building with -mno-cygwin
 CFLAGS += -I$(SRC_DIR)/w32api -I$(LOCAL_XVID_SRCTREE)
-CFLAGS += -D_WIN32_IE=0x0500
 CFLAGS += -mno-cygwin
+CFLAGS += -D_WIN32_IE=0x0501
 
 ##############################################################################
 # Optional Compiler options
@@ -36,7 +36,6 @@
 CFLAGS += -fstrength-reduce
 CFLAGS += -finline-functions
 CFLAGS += -fgcse
-CFLAGS += -freduce-all-givs
 CFLAGS += -ffast-math
 
 ##############################################################################

=== debian/changelog ===
xvidcore (2:1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7
  * Change Homepage field to point to the Xvid Labs
    Open Source Projects page.
  * Bump Standards-Version to 4.5.0.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 15 Feb 2020 23:02:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
            Fabian Greffrath <fabian@debian.org>
 Build-Depends: debhelper-compat (= 12),
                yasm (>= 1.0) [any-i386 amd64]
-Standards-Version: 4.4.1
-Homepage: http://www.xvid.org/
+Standards-Version: 4.5.0
+Homepage: https://labs.xvid.com/source/
 Vcs-Git: https://salsa.debian.org/multimedia-team/xvidcore.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xvidcore
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined
 
 export DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 export DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -17,9 +20,7 @@
 endif
 
 %:
-	dh $@ --sourcedirectory=build/generic \
-		--with autotools_dev \
-		--parallel
+	dh $@ --sourcedirectory=build/generic
 
 override_dh_auto_configure:
 	cd build/generic && autoconf

=== debian/watch ===
version=4
https://labs.xvid.com/source/ \
https://downloads.xvid.com/downloads/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
